<?php

declare(strict_types=1);

namespace app\admin\model;

use support\think\Model;
use think\model\relation\BelongsTo;

class DataRecycleLog extends Model
{
    protected string $table = 'security_data_recycle_log';
    protected string $pk = 'id';
    protected bool $autoWriteTimestamp = true;
    protected bool $updateTime = false;

    public function recycle(): BelongsTo
    {
        return $this->belongsTo(DataRecycle::class, 'recycle_id');
    }

    public function admin(): BelongsTo
    {
        return $this->belongsTo(Admin::class, 'admin_id');
    }
}
